<template>
  <p>
    <span class="information-label">Documents :</span>
    <span
      v-for="({ directus_file }, index) in documents"
      :key="directus_file.id"
    >
      <NuxtLink
        :to="documentLink(directus_file.id)"
        class="fr-link"
        target="_blank"
        :title="'Nouvel onglet - Voir ' + directus_file.filename_download"
        >{{ directus_file.filename_download }}</NuxtLink
      ><template v-if="index != documents.length - 1">, </template>
    </span>
  </p>
</template>

<script setup>
  const { documentLink } = useDocument()

  defineProps({
    documents: { type: Array, required: true }
  })
</script>
